/* Copyright (C) 2008 Free Software Foundation, Inc.
   This file is part of the GNU C Library.
   Contributed by David Bartley <dtbartle@csclub.uwaterloo.ca>, 2008.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#include <stdlib.h>
#include <streams/stropts.h>
#include <sys/ptms.h>
#include <stddef.h>
#include <errno.h>

int
unlockpt (int fd)
{
  /* Send UNLKPT down.  */
  struct strioctl si;
  si.ic_cmd = UNLKPT;
  si.ic_timout = 0;
  si.ic_len = 0;
  si.ic_dp = NULL;

  int res = (ioctl (fd, I_STR, &si) < 0) ? -1 :0;
  if (res != 0 && errno == ENOTTY)
    __set_errno (EINVAL);
  return res;
}
